Create an experiment or analysis node.
curl --request POST \
--url https://api.example.com/v1/workflows/nodes/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
'import requests
url = "https://api.example.com/v1/workflows/nodes/create"
payload = {
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({workflow_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', title: '<string>'})
};
fetch('https://api.example.com/v1/workflows/nodes/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ok": true
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Workflows and Nodes
POST /v1/workflows/nodes/create
POST
/
v1
/
workflows
/
nodes
/
create
Create an experiment or analysis node.
curl --request POST \
--url https://api.example.com/v1/workflows/nodes/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
'import requests
url = "https://api.example.com/v1/workflows/nodes/create"
payload = {
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({workflow_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', title: '<string>'})
};
fetch('https://api.example.com/v1/workflows/nodes/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ok": true
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Create a workflow node and optional parent edges.
Authorizations
droydApiKeyBearerdroydApiKeyHeader
A Droyd API key in the Authorization Bearer slot.
Body
application/json
Available options:
experiment, plan, idea, analysis Available options:
created, in_progress, complete, failed Available options:
derived_from, refutes, extends, synthesizes, inspired_by Response
Successful response.
Was this page helpful?
